<div class="card border-primary">
    <div class="card-body">
        <h5 class="card-title" style="color: tomato;">Stock Mutation</h5>

        <div class="btn-group" role="group" *ngIf="stockMutation">
            <button type="button" class="btn btn-outline-info btn-sm" (click)="addNew()">Add New
                <i class="fa fa-plus-circle fa-lg"></i>
            </button>
            <button type="button" *ngIf="stockMutation.status === 0 || stockMutation.status === 10" class="btn btn-outline-success btn-sm" (click)="saveHdr('addnew', null)">Save
                <i class="fa fa-save fa-lg"></i>
            </button>
            <button type="button"  *ngIf="stockMutation.status === 10" class="btn btn-outline-primary btn-sm" (click)="approve()">Submit
                <i class="fa fa-thumbs-o-up fa-lg"></i>
            </button>
            <button type="button" *ngIf="stockMutation.status === 10"  class="btn btn-outline-danger btn-sm" (click)="reject()">Cancel
                <i class="fa fa-times fa-lg"></i>
            </button>
            <button type="button" *ngIf="stockMutation.status === 40 " class="btn btn-outline-warning btn-sm" (click)="preview('invoice')">Print
                <i class="fa fa-print fa-lg"></i>
            </button>
            <button type="button" class="btn btn-outline-info btn-sm" (click)="backToLIst()">Back
                <i class="fa fa-list fa-lg"></i>
            </button>
        </div>
        <br>
        <br>
        <div *ngIf="stockMutation">
            <table class="table table-sm table-striped">
                <thead>
                    <td style="width: 15%;"> </td>
                    <td style="width: 35%;"> </td>
                    <td style="width: 15%;"> </td>
                    <td style="width: 35%;"> </td>
                </thead>
                <tbody style="color: cornflowerblue;">
                    <tr>
                        <td>Mutation No</td>
                        <td><input type="text" readonly size="50%" [(ngModel)]="stockMutation.stockMutationNo">
                            [{{stockMutation.id}}]
                        </td>
                        <td>Total</td>
                        <td>
                            <span style="color: blue;">
                                    {{ total | number:'0.0-0'}}
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td>Date</td>
                        <td>
                            <input type="text" ngbDatepicker #d="ngbDatepicker" readonly [(ngModel)]="selectedDate" />
                            <button (click)="d.toggle()">
                                <i class="fa fa-calendar"></i>
                            </button>
                        </td>
                        <td>Warehouse Source</td>
                        <td>
                            <span *ngIf="warehouseSources" >
                                <select id="select-type-basic" [(ngModel)]="warehouseSourceSelected" style="width: 80%;"  >
                                    <option *ngFor="let warehouse of warehouseSources" [value]="warehouse.id" >
                                    {{warehouse.name}}
                                    </option>
                                </select>
                            </span>
                            [ {{warehouseSourceSelected}} ]
                        </td>
                    </tr>       

                    <tr>
                        <td>Status</td>
                        <td><input type="text" readonly size="50%" [(ngModel)]="stockMutation.status"> </td>
                        <td>Warehouse Destination</td>
                        <td>
                            <span *ngIf="warehouseDests" >
                                <select id="select-type-basic" [(ngModel)]="warehouseDestSelected" style="width: 80%;"  >
                                    <option *ngFor="let warehouse of warehouseDests" [value]="warehouse.id" >
                                    {{warehouse.name}}
                                    </option>
                                </select>
                            </span>
                            [ {{warehouseDestSelected}} ]
                        </td>
                    </tr>
                    
                    <tr>
                        <td></td>
                        <td></td>
                        <td>Note</td>
                        <td rowspan="2"><textarea rows="3" size="100%" style="min-width: 90%"></textarea>
                    </tr>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>

                </tbody>
            </table>
        </div>
        <hr>
        <div>
            <table class="table table-sm table-striped">
                <thead>
                    <tr>
                        <td style="width: 20%;">Product</td>
                        <td style="width:  5%;">Qty</td>
                        <td style="width:  5%;">Unit</td>
                        <td style="width: 10%;">#</td>
                    </tr>

                </thead>
                <tbody style="color: hotpink; background-color: ghostwhite;">
                    <tr>
                        <td>
                            <input id="typeahead-http" type="text" [(ngModel)]="model" 
                                [ngbTypeahead]="search"
                                [resultFormatter]="formatterProdList" 
                                [inputFormatter]="formatterProdInput" 
                                placeholder="search product name" 
                                (selectItem)="getItem($event)"
                                size="50%"
                                /> 
                        </td>
                        <td>
                            <input type="number" [(ngModel)]="qty" placeholder="input qty" >
                        </td>
                        <td>
                            {{model | json}}                       
                            <!-- {{model.SmallUom.name}} -->
                        </td>
                        <td *ngIf ="stockMutation">
                            <button type="button"  *ngIf="stockMutation.status === 0 || stockMutation.status === 10"  class="btn btn-outline-info btn-sm" (click)="addNewItem()">
                                <i class="fa fa-check fa-lg"></i>
                            </button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div *ngIf="stockMutation">
            <div style="height:350px; padding: 5px 15px 5px 15px; ">
                <table class="table table-sm table-hover table-striped">
                    <thead>
                        <tr>
                            <th *ngIf ="stockMutation" style="width: 5%;"></th>
                            <th scope="col" style="width: 20%;">Product</th>
                            <th scope="col" style="width: 10%;">Hpp</th>
                            <th scope="col" style="width: 10%;">Qty</th>
                            <th scope="col" style="width: 10%;">Unit</th>
                            <th scope="col" style="width: 10%;">Total</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let stockMutationDetail of stockMutationDetails">
                            <td *ngIf ="stockMutation">
                                <button type="button" *ngIf="stockMutation.status === 10"  (click)="confirmDelItem(stockMutationDetail)" class="btn btn-outline-danger btn-sm">
                                    <i class="fa fa-trash fa-lg"></i>
                                </button>
                                <button type="button" *ngIf="stockMutation.status === 20"  (click)="confirmUpdateItem(stockMutationDetail)" class="btn btn-outline-danger btn-sm">
                                    <i class="fa fa-check fa-lg"></i>
                                </button>
                            </td>
                            <td>{{stockMutationDetail.product.name}}</td>
                            <td>{{stockMutationDetail.hpp | number:'0.0-0' }}</td>
                            <td>{{stockMutationDetail.qty | number:'0.0-0' }}</td>
                            <td>{{stockMutationDetail.uom.name}}</td>
                            <td>{{ getTotal(stockMutationDetail) | number:'0.0-0' }}  </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <ngb-pagination size="sm" [collectionSize]="totalData" [(page)]="curPage" [maxSize]="totalRecord"
                (pageChange)="loadPage()" [boundaryLinks]="true">
            </ngb-pagination>
        </div>

    </div>

</div>